libshevek

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions
shevek::shm< T > Class Template Reference

This class implements an interface for sharing memory between processes. More...

`#include <shm.hh>`

Inheritance diagram for shevek::shm< T >:

List of all members.

## Public Member Functions

T * | data ()
| Access the shared data.
T const * | data () const
| Access the shared data.

## Static Public Member Functions

static Glib::RefPtr< shm< T > > | create (std::string const &name, bool keep=false)
| Create a new block of shared memory.
static Glib::RefPtr< shm< T > > | open (std::string const &name, bool writable=true)
| Open an existing block of shared memory.

## Detailed Description

### template<typename T>
class shevek::shm< T >

This class implements an interface for sharing memory between processes.

## Member Function Documentation

template<typename T >

static Glib::RefPtr<shm <T> > shevek::shm< T >::create | ( | std::string const & | name,
|  | bool | keep = `false`
| ) |  | `[inline, static]`

Create a new block of shared memory.

If keep is true, it will not be unlinked when the object is destroyed.

The documentation for this class was generated from the following file:

- src/shm.hh